Bug Hunting Session
Bug 120993 - Sub-optimal Colibre icon for "Add fields" in Base reports
Summary: Sub-optimal Colibre icon for "Add fields" in Base reports
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-28 15:07 UTC by Olivier Hallot
Modified: 2019-01-11 16:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
"Add fileds" icon in toolbar (52.63 KB, image/png)
2018-10-28 15:07 UTC, Olivier Hallot
Details
Location of Colibre icon for "Add Fields" in Base reports (43.33 KB, image/png)
2018-10-28 15:10 UTC, Olivier Hallot
Details
addfield (2.33 KB, image/png)
2018-11-30 09:06 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-10-28 15:07:57 UTC
Created attachment 146096 [details]
"Add fileds" icon in toolbar

The Add Fields icon in Base reports has sub optimal representation of the underneath action. It instead represent a red minus sign which suggest the removal of something.

See image attached. 
1) the toolbar with the Add fields icon
2) The current (enlarged) icons used in icon-themes/colibre/cmd folder
Comment 1 Olivier Hallot 2018-10-28 15:10:48 UTC
Created attachment 146097 [details]
Location of Colibre icon for "Add Fields" in Base reports
Comment 2 Heiko Tietze 2018-11-30 08:54:12 UTC
Hard to decide on those very specific design topics at the team level. Up to the icon designer(s) to accept and fix.
Comment 3 andreas_k 2018-11-30 09:06:04 UTC
Created attachment 147166 [details]
addfield

colibre, breeze, elementary and kj icon for addfield.

I would suggest to use the layout from elementary for colibre. ok.
Comment 4 Xisco Faulí 2019-01-10 12:46:18 UTC
(In reply to andreas_k from comment #3)
> Created attachment 147166 [details]
> addfield
> 
> colibre, breeze, elementary and kj icon for addfield.
> 
> I would suggest to use the layout from elementary for colibre. ok.

Hi Andreas,
Do you plan to work on this issue?
Comment 5 Commit Notification 2019-01-11 11:39:43 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a0210c5c5e8fd47b55567a8b18788d57d2b7decb%5E%21

tdf#120993 update Add fields icon in colibre

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-11 16:14:19 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/02ecba9ff164bb0b41cf4e698602e23ceec5bcd3%5E%21

tdf#120993 update Add fields icon in colibre

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.